package com.tykj.dev.device.selfcheck.service;


import com.tykj.dev.device.selfcheck.subject.domin.SelfCheckBill;
import com.tykj.dev.device.selfcheck.subject.vo.SelfCheckSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author dengdiyi
 */
public interface SelfCheckBillService {

    SelfCheckBill addEntity(SelfCheckBill selfExaminationBillEntity);

    SelfCheckBill update(SelfCheckBill selfExaminationBillEntity);

    SelfCheckBill getOne(Integer id);

    Page<SelfCheckBill> getPage(SelfCheckSelectVo selfCheckSelectVo, Pageable pageable);

    void delete(Integer id);
}
